<!-- 投标保证金缴纳 -->
<template>
	<div>
		<div class="content">
			<dataTable :columns="columns" :page-obj="pageObj" :breads="breads" url="/tender-earnest/list">
				<el-table-column slot="operate" label="缴费情况" align="center" fixed="right" width="100">
					<template slot-scope="scope">
						<div v-if="scope.row.condition=='已缴纳'||scope.row.condition=='待修改'">
							<el-button type="text" size="small">查看</el-button>
						</div>
						<div v-if="scope.row.condition=='待审核'">
							<el-button type="text" size="small">审核</el-button>
						</div>
					</template>
				</el-table-column>
			</dataTable>
		</div>
	</div>
</template>

<script>
	import dataTable from '@components/dataTable.vue'
	export default {
		components: {
			dataTable
		},
		data() {
			return {
				breads: ['招标管理', '招标项目管理 ', '工作台'],
				columns: [{
						label: '单位名称',
						prop: 'companyName'
					},
					{
						label: '投标项目',
						prop: 'projectName'
					},
					{
						label: '提交审核时间',
						prop: 'updateTime'
					},
					{
						slot: 'operate'
					}
				], // 操作列
				pageObj: {
					size: 10,
					currentPage: 1,
					func: (currentPage) => {
						this.pageTurning(currentPage)
					}
				}
			}
		},
		created() {
			this.pageObj.projectId =   localStorage.getItem("projectId")
		},
		methods: {
			examine() {
				this.$router.push('/admin/bid/bidingDetail')
			}
		}
	}
</script>

<style scoped>

</style>
